"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const index = require("../../../../../../../components/Pages/MonacoEditor/index.vue2.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/editor.api.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/abap/abap.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/apex/apex.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/azcli/azcli.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/bat/bat.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/bicep/bicep.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/cameligo/cameligo.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/clojure/clojure.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/coffee/coffee.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/cpp/cpp.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/csharp/csharp.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/csp/csp.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/css/css.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/dart/dart.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/dockerfile/dockerfile.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/ecl/ecl.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/elixir/elixir.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/flow9/flow9.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/fsharp/fsharp.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/freemarker2/freemarker2.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/go/go.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/graphql/graphql.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/handlebars/handlebars.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/hcl/hcl.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/html/html.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/ini/ini.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/java/java.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/javascript/javascript.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/julia/julia.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/kotlin/kotlin.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/less/less.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/lexon/lexon.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/lua/lua.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/liquid/liquid.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/m3/m3.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/markdown/markdown.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/mips/mips.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/msdax/msdax.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/mysql/mysql.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/objective-c/objective-c.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/pascal/pascal.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/pascaligo/pascaligo.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/perl/perl.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/pgsql/pgsql.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/php/php.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/pla/pla.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/postiats/postiats.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/powerquery/powerquery.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/powershell/powershell.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/protobuf/protobuf.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/pug/pug.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/python/python.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/qsharp/qsharp.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/r/r.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/razor/razor.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/redis/redis.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/redshift/redshift.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/restructuredtext/restructuredtext.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/ruby/ruby.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/rust/rust.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/sb/sb.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/scala/scala.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/scheme/scheme.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/scss/scss.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/shell/shell.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/solidity/solidity.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/sophia/sophia.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/sparql/sparql.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/sql/sql.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/st/st.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/swift/swift.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/systemverilog/systemverilog.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/tcl/tcl.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/twig/twig.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/typescript/typescript.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/vb/vb.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/xml/xml.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/basic-languages/yaml/yaml.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/language/css/monaco.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/language/html/monaco.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/language/json/monaco.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/language/typescript/monaco.contribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/browser/coreCommands.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/browser/widget/codeEditorWidget.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/browser/widget/diffEditorWidget.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/base/common/event.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/base/common/lifecycle.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/anchorSelect/browser/anchorSelect.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/bracketMatching/browser/bracketMatching.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/caretOperations/browser/caretOperations.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/caretOperations/browser/transpose.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/clipboard/browser/clipboard.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/codeAction/browser/codeActionContributions.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/codelens/browser/codelensController.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/colorPicker/browser/colorContributions.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/comment/browser/comment.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/contextmenu/browser/contextmenu.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/cursorUndo/browser/cursorUndo.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/dnd/browser/dnd.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/find/browser/findController.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/folding/browser/folding.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/fontZoom/browser/fontZoom.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/format/browser/formatActions.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/documentSymbols/browser/documentSymbols.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/inlineCompletions/browser/inlineCompletionsContribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/gotoSymbol/browser/goToCommands.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/gotoSymbol/browser/link/goToDefinitionAtPosition.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/gotoError/browser/gotoError.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/hover/browser/hover.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/indentation/browser/indentation.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/inlayHints/browser/inlayHintsContribution.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/inPlaceReplace/browser/inPlaceReplace.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/lineSelection/browser/lineSelection.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/linesOperations/browser/linesOperations.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/linkedEditing/browser/linkedEditing.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/links/browser/links.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/multicursor/browser/multicursor.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/parameterHints/browser/parameterHints.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/rename/browser/rename.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/smartSelect/browser/smartSelect.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/snippet/browser/snippetController2.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/suggest/browser/suggestController.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/tokenization/browser/tokenization.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/toggleTabFocusMode/browser/toggleTabFocusMode.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/unicodeHighlighter/browser/unicodeHighlighter.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/unusualLineTerminators/browser/unusualLineTerminators.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/viewportSemanticTokens/browser/viewportSemanticTokens.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/wordHighlighter/browser/wordHighlighter.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/wordOperations/browser/wordOperations.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/contrib/wordPartOperations/browser/wordPartOperations.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/common/standaloneStrings.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/base/common/codicons.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/base/browser/ui/codicons/codicon/codicon.css.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/base/browser/ui/codicons/codicon/codicon-modifiers.css.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/inspectTokens/inspectTokens.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneHelpQuickAccess.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneGotoLineQuickAccess.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneGotoSymbolQuickAccess.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/quickAccess/standaloneCommandsQuickAccess.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/referenceSearch/standaloneReferenceSearch.js");
require("../../../../../../../../node_modules/.pnpm/monaco-editor@0.33.0/node_modules/monaco-editor/esm/vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast.js");
const useTargetData_hook = require("../../../hooks/useTargetData.hook.js");
const importTemplate = require("./importTemplate.js");
require("../../../../../../../store/modules/designStore/designStore.js");
require("../../../../../../../settings/designSetting.js");
require("../../../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
const eventEnum = require("../../../../../../../enums/eventEnum.js");
require("../../../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../../../enums/pageEnum.js");
require("../../../../../../../router/index.js");
require("../../../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../../../components/GoLoading/index.js");
const icon = require("../../../../../../../plugins/icon.js");
require("../../../../../../../api/axios.js");
require("../../../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/merge.js");
require("../../../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/pick.js");
const useLifeHandler_hook = require("../../../../../../../hooks/useLifeHandler.hook.js");
require("../../../../../../../store/modules/langStore/langStore.js");
const runtimeCore_esmBundler = require("../../../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const runtimeDom_esmBundler = require("../../../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.js");
const shared_esmBundler = require("../../../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _withScopeId = (n) => (runtimeCore_esmBundler.pushScopeId("data-v-53d5d409"), n = n(), runtimeCore_esmBundler.popScopeId(), n);
const _hoisted_1 = { class: "func-annotate" };
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("br", null, null, -1));
const _hoisted_3 = { class: "func-keyword" };
const _hoisted_4 = { class: "go-ml-4" };
const _hoisted_5 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("p", null, [
  /* @__PURE__ */ runtimeCore_esmBundler.createTextVNode("}"),
  /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("span", null, ",")
], -1));
const _hoisted_6 = { class: "go-pl-3" };
const _hoisted_7 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("span", { class: "func-keyword" }, "async function   ", -1));
const _hoisted_8 = { class: "func-keyNameWord" };
const _hoisted_9 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("p", { class: "go-pl-3 func-keyNameWord" }, "}", -1));
const _hoisted_10 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("br", null, null, -1));
const _hoisted_11 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("br", null, null, -1));
const _hoisted_12 = { class: "go-flex-items-center" };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    const { targetData, chartEditStore } = useTargetData_hook.useTargetData();
    const { DocumentTextIcon, ChevronDownIcon, PencilIcon } = icon.icon.ionicons5;
    const EventLifeName = {
      [eventEnum.EventLife.VNODE_BEFORE_MOUNT]: "渲染之前",
      [eventEnum.EventLife.VNODE_MOUNTED]: "渲染之后"
    };
    const EventLifeTip = {
      [eventEnum.EventLife.VNODE_BEFORE_MOUNT]: "此时组件 DOM 还未存在",
      [eventEnum.EventLife.VNODE_MOUNTED]: "此时组件 DOM 已经存在"
    };
    const showModal = reactivity_esmBundler.ref(false);
    const editTab = reactivity_esmBundler.ref(eventEnum.EventLife.VNODE_MOUNTED);
    let advancedEvents = reactivity_esmBundler.ref({ ...targetData.value.events.advancedEvents });
    const errorFlag = reactivity_esmBundler.ref(false);
    const validEvents = () => {
      let errorFn = "";
      let message = "";
      let name = "";
      errorFlag.value = Object.entries(advancedEvents.value).every(([eventName, str]) => {
        try {
          const AsyncFunction = Object.getPrototypeOf(async function() {
          }).constructor;
          new AsyncFunction(str);
          return true;
        } catch (error) {
          message = error.message;
          name = error.name;
          errorFn = eventName;
          return false;
        }
      });
      return {
        errorFn,
        message,
        name
      };
    };
    const closeEvents = () => {
      showModal.value = false;
    };
    const saveEvents = () => {
      if (validEvents().errorFn) {
        window["$message"].error("事件函数错误，无法进行保存");
        return;
      }
      if (Object.values(advancedEvents.value).join("").trim() === "") {
        targetData.value.events.advancedEvents = {
          vnodeBeforeMount: void 0,
          vnodeMounted: void 0
        };
      } else {
        targetData.value.events.advancedEvents = { ...advancedEvents.value };
      }
      closeEvents();
    };
    runtimeCore_esmBundler.watch(
      () => showModal.value,
      (newData) => {
        if (newData) {
          advancedEvents.value = { ...targetData.value.events.advancedEvents };
        }
      }
    );
    return (_ctx, _cache) => {
      const _component_n_icon = runtimeCore_esmBundler.resolveComponent("n-icon");
      const _component_n_button = runtimeCore_esmBundler.resolveComponent("n-button");
      const _component_n_code = runtimeCore_esmBundler.resolveComponent("n-code");
      const _component_n_card = runtimeCore_esmBundler.resolveComponent("n-card");
      const _component_n_collapse_item = runtimeCore_esmBundler.resolveComponent("n-collapse-item");
      const _component_n_text = runtimeCore_esmBundler.resolveComponent("n-text");
      const _component_n_space = runtimeCore_esmBundler.resolveComponent("n-space");
      const _component_n_tab_pane = runtimeCore_esmBundler.resolveComponent("n-tab-pane");
      const _component_n_tabs = runtimeCore_esmBundler.resolveComponent("n-tabs");
      const _component_n_layout = runtimeCore_esmBundler.resolveComponent("n-layout");
      const _component_n_collapse = runtimeCore_esmBundler.resolveComponent("n-collapse");
      const _component_n_scrollbar = runtimeCore_esmBundler.resolveComponent("n-scrollbar");
      const _component_n_tag = runtimeCore_esmBundler.resolveComponent("n-tag");
      const _component_n_layout_sider = runtimeCore_esmBundler.resolveComponent("n-layout-sider");
      const _component_n_modal = runtimeCore_esmBundler.resolveComponent("n-modal");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
          title: "高级事件配置",
          name: "3"
        }, {
          "header-extra": runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(_component_n_button, {
              type: "primary",
              tertiary: "",
              size: "small",
              onClick: _cache[0] || (_cache[0] = runtimeDom_esmBundler.withModifiers(($event) => showModal.value = true, ["stop"]))
            }, {
              icon: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(_component_n_icon, null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(PencilIcon))
                  ]),
                  _: 1
                })
              ]),
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createTextVNode(" 编辑 ")
              ]),
              _: 1
            })
          ]),
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(_component_n_card, { class: "collapse-show-box" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(reactivity_esmBundler.unref(eventEnum.EventLife), (eventName) => {
                  return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", { key: eventName }, [
                    runtimeCore_esmBundler.createElementVNode("p", null, [
                      runtimeCore_esmBundler.createElementVNode("span", _hoisted_1, "// " + shared_esmBundler.toDisplayString(EventLifeName[eventName]), 1),
                      _hoisted_2,
                      runtimeCore_esmBundler.createElementVNode("span", _hoisted_3, "async " + shared_esmBundler.toDisplayString(eventName), 1),
                      runtimeCore_esmBundler.createTextVNode(" (e, components, echarts, node_modules) { ")
                    ]),
                    runtimeCore_esmBundler.createElementVNode("p", _hoisted_4, [
                      runtimeCore_esmBundler.createVNode(_component_n_code, {
                        code: (reactivity_esmBundler.unref(targetData).events.advancedEvents || {})[eventName] || "",
                        language: "typescript"
                      }, null, 8, ["code"])
                    ]),
                    _hoisted_5
                  ]);
                }), 128))
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        runtimeCore_esmBundler.createVNode(_component_n_modal, {
          class: "go-chart-data-monaco-editor",
          show: showModal.value,
          "onUpdate:show": _cache[2] || (_cache[2] = ($event) => showModal.value = $event),
          "mask-closable": false
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(_component_n_card, {
              bordered: false,
              role: "dialog",
              size: "small",
              "aria-modal": "true",
              style: { "width": "1200px", "height": "700px" }
            }, {
              header: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createTextVNode("高级事件编辑器（配合源码使用）")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              "header-extra": runtimeCore_esmBundler.withCtx(() => []),
              action: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(_component_n_space, { justify: "space-between" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createElementVNode("div", _hoisted_12, [
                      runtimeCore_esmBundler.createVNode(_component_n_tag, {
                        bordered: false,
                        type: "primary"
                      }, {
                        icon: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createVNode(_component_n_icon, { component: reactivity_esmBundler.unref(DocumentTextIcon) }, null, 8, ["component"])
                        ]),
                        default: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createTextVNode(" 说明 ")
                        ]),
                        _: 1
                      }),
                      runtimeCore_esmBundler.createVNode(_component_n_text, {
                        class: "go-ml-2",
                        depth: "2"
                      }, {
                        default: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createTextVNode("通过提供的参数可为图表增加定制化的tooltip、交互事件等等")
                        ]),
                        _: 1
                      })
                    ]),
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_button, {
                          size: "medium",
                          onClick: closeEvents
                        }, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("取消")
                          ]),
                          _: 1
                        }),
                        runtimeCore_esmBundler.createVNode(_component_n_button, {
                          size: "medium",
                          type: "primary",
                          onClick: saveEvents
                        }, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("保存")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(_component_n_layout, {
                  "has-sider": "",
                  "sider-placement": "right"
                }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_layout, { style: { "height": "580px", "padding-right": "20px" } }, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_tabs, {
                          value: editTab.value,
                          "onUpdate:value": _cache[1] || (_cache[1] = ($event) => editTab.value = $event),
                          type: "card",
                          "tab-style": "min-width: 100px;"
                        }, {
                          suffix: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createVNode(_component_n_text, {
                              class: "tab-tip",
                              type: "warning"
                            }, {
                              default: runtimeCore_esmBundler.withCtx(() => [
                                runtimeCore_esmBundler.createTextVNode("提示: " + shared_esmBundler.toDisplayString(EventLifeTip[editTab.value]), 1)
                              ]),
                              _: 1
                            })
                          ]),
                          default: runtimeCore_esmBundler.withCtx(() => [
                            (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(reactivity_esmBundler.unref(eventEnum.EventLife), (eventName, index$1) => {
                              return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_tab_pane, {
                                key: index$1,
                                tab: `${EventLifeName[eventName]}-${eventName}`,
                                name: eventName
                              }, {
                                default: runtimeCore_esmBundler.withCtx(() => [
                                  runtimeCore_esmBundler.createElementVNode("p", _hoisted_6, [
                                    _hoisted_7,
                                    runtimeCore_esmBundler.createElementVNode("span", _hoisted_8, shared_esmBundler.toDisplayString(eventName) + "(e, components, echarts, node_modules)  {", 1)
                                  ]),
                                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(index.default), {
                                    modelValue: reactivity_esmBundler.unref(advancedEvents)[eventName],
                                    "onUpdate:modelValue": ($event) => reactivity_esmBundler.unref(advancedEvents)[eventName] = $event,
                                    height: "480px",
                                    language: "javascript"
                                  }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                                  _hoisted_9
                                ]),
                                _: 2
                              }, 1032, ["tab", "name"]);
                            }), 128))
                          ]),
                          _: 1
                        }, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    runtimeCore_esmBundler.createVNode(_component_n_layout_sider, {
                      "collapsed-width": 14,
                      width: 340,
                      "show-trigger": "bar",
                      "collapse-mode": "transform",
                      "content-style": "padding: 12px 12px 0px 12px;margin-left: 3px;"
                    }, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_tabs, {
                          "default-value": "1",
                          "justify-content": "space-evenly",
                          type: "segment"
                        }, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createVNode(_component_n_tab_pane, {
                              tab: "验证结果",
                              name: "1",
                              size: "small"
                            }, {
                              default: runtimeCore_esmBundler.withCtx(() => [
                                runtimeCore_esmBundler.createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: runtimeCore_esmBundler.withCtx(() => [
                                    runtimeCore_esmBundler.createVNode(_component_n_collapse, {
                                      class: "go-px-3",
                                      "arrow-placement": "right",
                                      "default-expanded-names": [1, 2, 3]
                                    }, {
                                      default: runtimeCore_esmBundler.withCtx(() => [
                                        (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList([validEvents()], (error) => {
                                          return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, { key: error }, [
                                            runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                              title: "错误函数",
                                              name: 1
                                            }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                                  default: runtimeCore_esmBundler.withCtx(() => [
                                                    runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(error.errorFn || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024),
                                            runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                              title: "错误信息",
                                              name: 2
                                            }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                                  default: runtimeCore_esmBundler.withCtx(() => [
                                                    runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(error.name || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024),
                                            runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                              title: "堆栈信息",
                                              name: 3
                                            }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                                  default: runtimeCore_esmBundler.withCtx(() => [
                                                    runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(error.message || "暂无"), 1)
                                                  ]),
                                                  _: 2
                                                }, 1024)
                                              ]),
                                              _: 2
                                            }, 1024)
                                          ], 64);
                                        }), 128))
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }),
                            runtimeCore_esmBundler.createVNode(_component_n_tab_pane, {
                              tab: "变量说明",
                              name: "2"
                            }, {
                              default: runtimeCore_esmBundler.withCtx(() => [
                                runtimeCore_esmBundler.createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: runtimeCore_esmBundler.withCtx(() => [
                                    runtimeCore_esmBundler.createVNode(_component_n_collapse, {
                                      class: "go-px-3",
                                      "arrow-placement": "right",
                                      "default-expanded-names": [1, 2, 3, 4]
                                    }, {
                                      default: runtimeCore_esmBundler.withCtx(() => [
                                        runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                          title: "e",
                                          name: 1
                                        }, {
                                          default: runtimeCore_esmBundler.withCtx(() => [
                                            runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createTextVNode("触发对应生命周期事件时接收的参数")
                                              ]),
                                              _: 1
                                            })
                                          ]),
                                          _: 1
                                        }),
                                        runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                          title: "this",
                                          name: 2
                                        }, {
                                          default: runtimeCore_esmBundler.withCtx(() => [
                                            runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createTextVNode("图表组件实例")
                                              ]),
                                              _: 1
                                            }),
                                            _hoisted_10,
                                            (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(["refs", "setupState", "ctx", "props", "..."], (prop) => {
                                              return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_tag, {
                                                class: "go-m-1",
                                                key: prop
                                              }, {
                                                default: runtimeCore_esmBundler.withCtx(() => [
                                                  runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(prop), 1)
                                                ]),
                                                _: 2
                                              }, 1024);
                                            }), 128))
                                          ]),
                                          _: 1
                                        }),
                                        runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                          title: "components",
                                          name: 3
                                        }, {
                                          default: runtimeCore_esmBundler.withCtx(() => [
                                            runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createTextVNode("当前大屏内所有组件的集合id 图表组件中的配置id，可以获取其他图表组件进行控制")
                                              ]),
                                              _: 1
                                            }),
                                            runtimeCore_esmBundler.createVNode(_component_n_code, {
                                              code: `{
  [id]: component
}`,
                                              language: "typescript"
                                            })
                                          ]),
                                          _: 1
                                        }),
                                        runtimeCore_esmBundler.createVNode(_component_n_collapse_item, {
                                          title: "node_modules",
                                          name: 4
                                        }, {
                                          default: runtimeCore_esmBundler.withCtx(() => [
                                            runtimeCore_esmBundler.createVNode(_component_n_text, { depth: "3" }, {
                                              default: runtimeCore_esmBundler.withCtx(() => [
                                                runtimeCore_esmBundler.createTextVNode("以下是内置在代码环境中可用的包变量")
                                              ]),
                                              _: 1
                                            }),
                                            _hoisted_11,
                                            (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(Object.keys(reactivity_esmBundler.unref(useLifeHandler_hook.npmPkgs) || {}), (pkg) => {
                                              return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_tag, {
                                                class: "go-m-1",
                                                key: pkg
                                              }, {
                                                default: runtimeCore_esmBundler.withCtx(() => [
                                                  runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(pkg), 1)
                                                ]),
                                                _: 2
                                              }, 1024);
                                            }), 128))
                                          ]),
                                          _: 1
                                        })
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }),
                            runtimeCore_esmBundler.createVNode(_component_n_tab_pane, {
                              tab: "介绍案例",
                              name: "3"
                            }, {
                              default: runtimeCore_esmBundler.withCtx(() => [
                                runtimeCore_esmBundler.createVNode(_component_n_scrollbar, {
                                  trigger: "none",
                                  style: { "max-height": "505px" }
                                }, {
                                  default: runtimeCore_esmBundler.withCtx(() => [
                                    runtimeCore_esmBundler.createVNode(_component_n_collapse, { "arrow-placement": "right" }, {
                                      default: runtimeCore_esmBundler.withCtx(() => [
                                        (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(reactivity_esmBundler.unref(importTemplate.templateList), (item, index2) => {
                                          return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_collapse_item, {
                                            key: index2,
                                            title: `案例${index2 + 1}：${item.description}`,
                                            name: index2
                                          }, {
                                            default: runtimeCore_esmBundler.withCtx(() => [
                                              runtimeCore_esmBundler.createVNode(_component_n_code, {
                                                code: item.code,
                                                language: "typescript"
                                              }, null, 8, ["code"])
                                            ]),
                                            _: 2
                                          }, 1032, ["title", "name"]);
                                        }), 128))
                                      ]),
                                      _: 1
                                    })
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }, 8, ["show"])
      ], 64);
    };
  }
});
exports.default = _sfc_main;
